<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Lista de empleos</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-list-header>
      Empleos
    </ion-list-header>
    
    <ion-item *ngFor="let empleo of empleos | async;trackBy:trackByFn" >
      <ion-avatar slot="start">
        <img [src]="empleo.image.url">
      </ion-avatar>
      <ion-label>
        <h2>{{empleo.titulo}}</h2>
        <p>Salario: $ {{empleo.salario}}</p>
        <p>{{empleo.descripcion}}</p>
        <section>
          <ion-button  type="submit"   (click)="showEmpleo(empleo.uid)">Ver</ion-button>
          <ion-button  type="submit"   (click)="showEditarEmpleo(empleo.uid)">Editar</ion-button>
        </section>
        
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-button  type="submit"  (click)="showCrearEmpleo()">Crear Empleo</ion-button>
</ion-content>
